Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Some advice appreciated

  1. #1
    Junior Member
    Join Date
    May 2009
    Posts
    31
    Thanks
    5
    Thanked 1 Time in 1 Post

    Some advice appreciated

    Hi !

    My wii system version is 4.2E
    I have Neo Gammer R8 Beta 15, IOS249 (Rev14)

    I have downloaded a game for my son

    Cloudy with a touch of meatballs

    I have used WBFS to add it to a USB stick

    However, when we try to launch it we get a green screen

    Now here are my questions !

    1) Does the ISO file have to be patched BEFORE we apply it to the USB stick ? If yes where or what do we use ?

    2) Or do we need to use a different launcher ?

    I am not a total newbie to this...but if somebody wants to point me to an FAQ then I will gladly take the slap on the wrist but I havent been able to find anything that offers me the right advice

    Thanks

  2. #2
    Retired WiiHacks Staff Tealc's Avatar
    Join Date
    May 2009
    Location
    Sunny Wales, UK
    Posts
    7,152
    Thanks
    502
    Thanked 4,104 Times in 2,453 Posts
    Blog Entries
    1
    You may want to ensure that the ISO you have downloaded is PAL like your Wii. A green screen can mean that you are attempting to launch an NTSC game. If the ISO is NTSC then you can fiddle with the Region settings within your loader and FORCE PAL, that usually works.

    You may also want to try a dedicated USB Loader rather than a Disc Loader with USB aspirations. USB Loader GX perhaps?
    Not really doing much Wii stuff these days.

  3. #3
    Junior Member
    Join Date
    May 2009
    Posts
    31
    Thanks
    5
    Thanked 1 Time in 1 Post
    This is what I have done so far...

    I download the ISO it is called

    [WII]Cloudy With a Chance Of Meatballs [Multi5][ESPALWII.com].rar

    I am in the UK (PAL)

    I unzipped this file to extract the ISO and then using WBFS I loaded this on to my USB drive

    I then put the dive into the Wii and have tried to play the game using "Neogamma Version R8 beta 15" and "USB Loader GX version 1.0"

    both see the game on USB drive but when they try to load it NEO gamma gives a green screen and hangs and "USB Loader GX" occasionally part loads the game but freezes but the next time we try it sometimes doesnt even load i.e its intermittent.

    Via another page somebody was recommending different IOS for different games.

    What I dont understand is when/where do you select the IOS or how do you apply it to your games if different games require different IOS to run

    Cheers!

  4. #4
    Retired WiiHacks Staff Tealc's Avatar
    Join Date
    May 2009
    Location
    Sunny Wales, UK
    Posts
    7,152
    Thanks
    502
    Thanked 4,104 Times in 2,453 Posts
    Blog Entries
    1
    Cloudy requires IOS53 but if you didn't have this you'd be black screening before you even start loading, so early that the strap warning screen wouldn't come up.

    Not got the game myself so I don't personally know if there any complications with it.

    This could be a USB issue of course. Is it only Cloudy you have tried?
    Not really doing much Wii stuff these days.

  5. #5
    Junior Member
    Join Date
    May 2009
    Posts
    31
    Thanks
    5
    Thanked 1 Time in 1 Post
    You say that this game requires IOS53...but where do you get it from and when do you invoke it or apply it ?

    Do I add it to the ISO before I copy it to the USB drive, or do I add it to the wii etc

    I am slightly confused as to when/where these IOS version get applied

    Cheers!

  6. #6
    New Member
    Join Date
    Dec 2009
    Posts
    43
    Thanks
    6
    Thanked 9 Times in 9 Posts
    quick IOS info:

    Think that IOS is a operating system. Applications run on a operating system.

    Wii has many IOSs (They are stored in wii's flash storage), and every program on wii uses one. Channels, games and homebrew apps.
    Some hombrew apps have a option to choose what IOS do they use (USB loaders usually use IOS 249, which is custom made IOS, made
    to enable piracy). When a game starts, it loads a IOS. You can't choose what IOS the game uses.
    In this case, the game uses IOS 53. Your wii has this IOS 53, since you don't get black screen when trying to play this game.

    wii needs IOSs to run, Wii system menu runs too on a IOS. If you don't have a IOS the program uses, you can't use the program (game or whatever).
    But, IOSs are dangerous to play with, because newer wiis can't use some older versions of IOSs, so installing a IOS might brick your wii. Also uninstalling
    the IOS your system menu uses will brick your wii.

    My english isn't very good so I try to use simple sentences, and I don't try to "talk like to a baby" or something like that : D

  7. 1 User Says Thank You Tysss For This Useful Post


  8. #7
    Junior Member
    Join Date
    May 2009
    Posts
    31
    Thanks
    5
    Thanked 1 Time in 1 Post
    Ok so I think I'm getting this slowly !

    Numerous IOS are stored on the Wii and the game calls which ever IOS it requires to utilise various devices, ports etc ?

    Is there anyway to confirm that I have an IOS ?

    I respect what you say about the IOS must be on the Wii because I dont get black screen (I get green or part load of the game), however I wondered if there was a way to double check ?

    Also there is a web page:

    http://www.wiihacks.com/recommended-...s-use-run.html

    which says

    Cloudy with a chance of meatballs......IOS53-64-v4113..........System Menu 3.4

    If what does the 64v4113 part mean ?

    My system menu is 4.2E so is this relevant to me ?

    Cheers!
    Last edited by Walesgbn; 02-21-2010 at 10:05 AM.

  9. #8
    New Member
    Join Date
    Dec 2009
    Posts
    43
    Thanks
    6
    Thanked 9 Times in 9 Posts
    Quote Originally Posted by Walesgbn View Post
    Numerous IOS are stored on the Wii and the game calls which ever IOS it requires to utilise various devices, ports etc ?
    Yeap, that's right.

    Quote Originally Posted by Walesgbn View Post
    Is there anyway to confirm that I have an IOS ?
    run SignCheck to see what IOSs do you have. Post the results here if you want help with reading the results.

    Quote Originally Posted by Walesgbn View Post
    what does the 64v4113 part mean ?
    The version of IOS. You can also use IOS with higher version number.

    EDIT: unless the new version of IOS is a stub. But Nintendo wont make stub IOSs of IOSs games use to run. Nintendo only makes stub IOSs
    for IOSs that are used for piracy, or wont be needed again: different system menus use different IOSs, so after updating to a newer system menu,
    Nintendo creates a stub IOS for the older IOS that was used by previous version of system menu. System menu IOSs (usually IOSx0, like IOS60 or 70)
    IOSs are not used by any other programs than System menu.

    Quote Originally Posted by Walesgbn View Post
    My system menu is 4.2E so is this relevant to me ?
    Well, you should have IOS 53 v5406, because you have 4.2. So you don't need to install IOS53.
    Last edited by Tysss; 02-21-2010 at 10:21 AM.

  10. 1 User Says Thank You Tysss For This Useful Post


  11. #9
    Junior Member
    Join Date
    May 2009
    Posts
    31
    Thanks
    5
    Thanked 1 Time in 1 Post
    Ok I have run sign check and here's the output

    Using IOS 36 (rev 3351)
    Region Europe
    Hollywood version 0x11
    Getting certs.sys from the NAND

    Found 20 ios on this console

    Analyzed IOS250 (rev 65535)

    Trucha bug enabled
    Flasg access disabled
    Boot2 access disabled
    USB 2.0 IOS tree enabled

    Any advice on the above appreciated ...it might just as well be written in JAPANESE it means as much sense to me!

    Also you comment "IOS 53 v5406"...where do I down load this from ? A search of this site merely shows me my posting

    Cheers

  12. #10
    New Member
    Join Date
    Dec 2009
    Posts
    43
    Thanks
    6
    Thanked 9 Times in 9 Posts
    I meant that you already have v5406 : D

    But that is only the first IOS that signcheck analyzed. after running signcheck you should have .csv file in your SD card.

    the results you need to get looks like this:

    SignCheck 0.3b aka loveSexWii build report
    Wii region, Europe
    Wii unique device id, xxxxxxxx

    IOS number, "Trucha bug", "Flash access", "Boot2 access", "Usb2.0 IOS tree"

    IOS250 (ver 65535), Enabled, Disabled, Disabled, Enabled
    IOS249 (ver 14), Enabled, Disabled, Disabled, Enabled
    IOS61 (ver 5405), Disabled, Disabled, Disabled, Disabled
    IOS60 (ver 6174), Disabled, Disabled, Disabled, Disabled
    IOS57 (ver 5661), Disabled, Disabled, Disabled, Disabled
    ...
    EDIT:
    signcheck says something like "press reset button to continue" after every IOS. press reset and signcheck will continue to next IOS

  13. 1 User Says Thank You Tysss For This Useful Post


Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •